#include <bits/stdc++.h>
using namespace std;
std::vector<int> solve(std::vector<int> A)
{
    vector < pair <int, int> > v;
    for(int i = 0; i < A.size(); i++)
    {
        v.push_back({A[i], i});
    }
    sort(v.begin(), v.end());
    vector <int> ans;
    for(int i = 0; i < v.size(); i++)
    {
        if(i % 2 == 0)
            ans.push_back(v[i].second);
    }
    for(int i = 1; i < v.size(); i++)
    {
        if(i % 2 == 1)
            ans.push_back(v[i].second);
    }
    return ans;
}
